PUT
/integration/v1/courses/{course_id}
Update courses by id
Update courses by id
operationId Update courses by id
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
course_id
|
string | required | Path parameter: course_id |
Request body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
course_id
|
string | optional | Course ID should start with 0 |
content_provider_id
|
string | optional | Content Provider ID |
external_id
|
string | optional | External ID |
default_language
|
string | optional | Default Language |
translations
|
array | optional | Translations |
lang
|
string | optional | Course translation language code |
title
|
string | optional | Course translation title |
description
|
string | optional | Course translation description |
keywords
|
string | optional | Course translation keywords |
long_description
|
string | optional | Course translation long description |
tagline
|
string | optional | Course translation tagline |
meta_title
|
string | optional | Course translation meta title |
meta_description
|
string | optional | Course translation meta description |
total_duration
|
integer | optional | Total Duration |
skill_level
|
integer | optional | Skill Level |
preview_image_url
|
string | optional | Preview Image URL |
instructor_full_name
|
string | optional | Instructor Full Name |
skill_ids
|
array | optional | Skill IDs |
skill_id
|
string | required | |
external_url
|
string (url) | optional | External URL |
categories_ids
|
array | optional | Categories IDs |
categories_id
|
string | required |
Responses
200
application/json schema
{
"type": "object",
"nullable": true
}
412 Invalid parameters
500 Server error
512 Specification violations